Subject: bug#25627: 25.1; `help-make-xrefs' loads `cl-extra.el' now

From: Drew Adams <[email-masked]>
Date: Tue, 7 Feb 2017 17:59:53 -0800 (PST)

> > Why don't more (even most) of the files distributed with
> > Emacs have this variable set (to non-nil)?
> 
> Loading functions one by one can be slower than loading them all at
> once.  Some justification would be needed for adding this (e.g., if a
> file contains many independent functions that would usually be used in
> isolation).

Yes, I read that.  A guess would be that that would be the case
for many more files than the few that use it now.

Files could also be split, to factor out functions for which
that is true.